// Licence: GPLv3 & GPLv2 (dual licensed)
// Original source: https://github.com/Ladsgroup/CheckUserHelper
'use strict';

/**
 * Adds a button underneath the summary table that when
 * pressed adds the table in a wikitext format to the
 * clipboard of the user.
 *
 * @param {string} copyText The wikitext table to copied (generated by createTableText.js)
 */
function addCopyElement( copyText ) {
	var dir = ( document.getElementsByTagName( 'html' )[ 0 ].dir === 'ltr' ) ? 'left' : 'right';
	var shortened = new mw.widgets.CopyTextLayout( {
		align: 'top',
		copyText: copyText,
		successMessage: mw.message( 'checkuser-helper-copy-success' ),
		multiline: true,
		failMessage: mw.message( 'checkuser-helper-copy-failed' )
	} );
	shortened.textInput.$element.css( dir, '-9999px' );
	shortened.textInput.$element.css( 'position', 'absolute' );
	shortened.buttonWidget.$element.css( 'position', 'absolute' );
	shortened.buttonWidget.$element.css( dir, '0px' );
	shortened.buttonWidget.$element.after( '<br>' );
	$( '.mw-checkuser-helper-table' ).after( shortened.$element );
}

module.exports = addCopyElement;
